## kpimtextedit 15.12.3

=== src/CMakeLists.txt ===

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
configure_file(config-kpimtextedit.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h )

set(kpimtextedit_texteditor_SRCS
  texteditor/plaintexteditor/plaintexteditfindbar.cpp
  texteditor/plaintexteditor/plaintexteditor.cpp
  texteditor/plaintexteditor/plaintexteditorwidget.cpp
  texteditor/plaintexteditor/plaintextsyntaxspellcheckinghighlighter.cpp
  texteditor/commonwidget/textfindreplacewidget.cpp
  texteditor/commonwidget/texteditfindbarbase.cpp
  texteditor/commonwidget/textgotolinewidget.cpp
  texteditor/commonwidget/textmessageindicator.cpp
  texteditor/richtexteditor/richtexteditor.cpp
  texteditor/richtexteditor/richtexteditfindbar.cpp
  texteditor/richtexteditor/richtexteditorwidget.cpp
)

set(kpimtextedit_composerng_SRCS
     composer-ng/richtextcomposer.cpp
     composer-ng/richtextcomposercontroler.cpp
     composer-ng/richtextcomposeractions.cpp
     composer-ng/klinkdialog.cpp
     composer-ng/nestedlisthelper.cpp
     composer-ng/richtextexternalcomposer.cpp
     composer-ng/richtextcomposerimages.cpp
     composer-ng/richtextcomposeremailquotedecorator.cpp
     composer-ng/richtextcomposeremailquotehighlighter.cpp
)

set(kpimtextedit_texttospeech_SRCS
  texttospeech/texttospeech.cpp
  texttospeech/texttospeechwidget.cpp
  texttospeech/texttospeechconfigwidget.cpp
  texttospeech/texttospeechinterface.cpp
  texttospeech/abstracttexttospeechinterface.cpp
  texttospeech/abstracttexttospeechconfiginterface.cpp
  texttospeech/texttospeechconfiginterface.cpp
  texttospeech/texttospeechconfigdialog.cpp
  texttospeech/texttospeechlanguagecombobox.cpp
  texttospeech/texttospeechactions.cpp
)


set(kpimtextedit_SRCS
  emoticontexteditaction.cpp
  emoticontexteditselector.cpp
  htmlhighlighter.cpp
  inserthtmldialog.cpp
  insertimagedialog.cpp
  insertimagewidget.cpp
  inserttabledialog.cpp
  selectspecialchardialog.cpp
  tableactionmenu.cpp
  tablecellformatdialog.cpp
  tableformatdialog.cpp
  textutils.cpp
  inserttablewidget.cpp
  syntaxhighlighterbase.cpp
  texteditorcompleter.cpp
  slidecontainer.cpp
  editorutil.cpp
)

add_library(KF5PimTextEdit ${kpimtextedit_SRCS} ${kpimtextedit_texteditor_SRCS} ${kpimtextedit_texttospeech_SRCS} ${kpimtextedit_composerng_SRCS})

generate_export_header(KF5PimTextEdit BASE_NAME kpimtextedit)

add_library(KF5::PimTextEdit ALIAS KF5PimTextEdit)

target_include_directories(KF5PimTextEdit INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit;>")
target_include_directories(KF5PimTextEdit PUBLIC "$<BUILD_INTERFACE:${KPimTextEdit_SOURCE_DIR}/src;${KPimTextEdit_BINARY_DIR}/src>")


target_link_libraries(KF5PimTextEdit
PUBLIC
  KF5::TextWidgets
PRIVATE
  KF5::Emoticons
  KF5::Codecs
  KF5::SonnetUi
  KF5::SonnetCore
  KF5::WidgetsAddons
  KF5::KIOWidgets
  KF5::ConfigWidgets
  KF5::IconThemes
  Qt5::DBus
  Grantlee5::TextDocument
  KF5::XmlGui
)

if(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH)
  target_link_libraries(KF5PimTextEdit PRIVATE Qt5::TextToSpeech)
endif()

set_target_properties(KF5PimTextEdit PROPERTIES
    VERSION ${KPIMTEXTEDIT_VERSION_STRING}
    SOVERSION ${KPIMTEXTEDIT_SOVERSION}
    EXPORT_NAME PimTextEdit
)

install(TARGETS KF5PimTextEdit EXPORT KF5PimTextEditTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
  HEADER_NAMES
  EditorUtil
  EmoticonTextEditAction
  HtmlHighlighter
  InsertHtmlDialog
  InsertImageDialog
  InsertImageWidget
  InsertTableDialog
  InsertTableWidget 
  SelectSpecialCharDialog
  SyntaxHighlighterBase
  SlideContainer
  TableCellFormatDialog
  TableFormatDialog
  TableActionMenu
  TextEditorCompleter
  TextUtils

  PREFIX KPIMTextEdit
  REQUIRED_HEADERS kpimtextedit_HEADERS
)

ecm_generate_headers(PimCommon_CamelCasetextrichtexteditor_HEADERS
  HEADER_NAMES
  RichTextEditorWidget
  RichTextEditor
  REQUIRED_HEADERS PimCommon_richtexteditor_HEADERS
  PREFIX KPIMTextEdit
  RELATIVE texteditor/richtexteditor
)

ecm_generate_headers(PimCommon_CamelCaseplaintexteditor_HEADERS
  HEADER_NAMES
  PlainTextEditor
  PlainTextEditorWidget
  PlainTextEditFindBar
  PlainTextSyntaxSpellCheckingHighlighter
  REQUIRED_HEADERS PimCommon_plaintexteditor_HEADERS
  PREFIX KPIMTextEdit
  RELATIVE texteditor/plaintexteditor
)

ecm_generate_headers(PimCommon_CamelCasetexteditor_commonwidget_HEADERS
  HEADER_NAMES
  TextGotoLineWidget
  TextEditFindBarBase
  REQUIRED_HEADERS PimCommon_texteditor_commonwidget_HEADERS
  PREFIX KPIMTextEdit
  RELATIVE texteditor/commonwidget
)



ecm_generate_headers(KPimTextEdit_CamelCasetexttospeechs_HEADERS
  HEADER_NAMES
  TextToSpeech
  TextToSpeechActions
  TextToSpeechInterface
  TextToSpeechWidget
  AbstractTextToSpeechInterface
  REQUIRED_HEADERS KPimTextEdit_texttospeechs_HEADERS
  PREFIX KPIMTextEdit
  RELATIVE texttospeech
)

ecm_generate_headers(KPimTextEdit_Camelcasecomposerng_HEADERS
  HEADER_NAMES
  RichTextComposer
  RichTextComposerControler
  RichTextComposerImages
  RichTextExternalComposer
  RichTextComposerActions
  RichTextComposerEmailQuoteHighlighter
  REQUIRED_HEADERS KPimTextEdit_composerng_HEADERS
  PREFIX KPIMTextEdit
  RELATIVE composer-ng
)


########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
  ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h
  ${kpimtextedit_HEADERS}
  ${KPimTextEdit_texttospeechs_HEADERS}
  ${PimCommon_richtexteditor_HEADERS}
  ${PimCommon_texteditor_commonwidget_HEADERS}
  ${PimCommon_plaintexteditor_HEADERS}
  ${KPimTextEdit_composerng_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/kpimtextedit
  COMPONENT Devel
)

install(FILES
  ${KPimTextEdit_CamelCase_HEADERS}
  ${PimCommon_CamelCasetextrichtexteditor_HEADERS}
  ${KPimTextEdit_CamelCasetexttospeechs_HEADERS}
  ${PimCommon_CamelCasetexteditor_commonwidget_HEADERS}
  ${PimCommon_CamelCasetexteditor_commonwidget_HEADERS}
  ${KPimTextEdit_Camelcasecomposerng_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/KPIMTextEdit/
  COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KPIMTextEdit LIB_NAME KF5PIMTextEdit DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_TESTING)
   add_subdirectory(texteditor/plaintexteditor/autotests)
   add_subdirectory(texteditor/richtexteditor/autotests)
   add_subdirectory(texteditor/commonwidget/autotests)
   add_subdirectory(texteditor/plaintexteditor/tests)
   add_subdirectory(texteditor/richtexteditor/tests)
   add_subdirectory(texttospeech/autotests)
   add_subdirectory(texttospeech/tests)
   add_subdirectory(composer-ng/autotests)
   add_subdirectory(composer-ng/tests)
endif()

=== tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src ${CMAKE_CURRENT_BINARY_DIR}/../src)
#add_executable(textedit_demo textedit_demo.cpp)
#target_link_libraries(textedit_demo KF5PimTextEdit)


add_executable(inserthtmldialog_demo inserthtmldialog_demo.cpp)
target_link_libraries(inserthtmldialog_demo KF5PimTextEdit)

set(slidecontainer_gui_SRCS slidecontainer_gui.cpp)
add_executable(slidecontainer_gui ${slidecontainer_gui_SRCS})
target_link_libraries(slidecontainer_gui
  Qt5::Core
  Qt5::Gui
  KF5PimTextEdit
)

add_executable(syntaxhighlightertest_demo syntaxhighlightertest_demo.cpp)
target_link_libraries(syntaxhighlightertest_demo KF5PimTextEdit)

=== src/composer-ng/autotests/CMakeLists.txt ===
macro(add_composer_ng_test _source)
    ecm_add_test(${_source}
        NAME_PREFIX "kpimtextedit-composerng-"
        LINK_LIBRARIES Qt5::Test KF5::PimTextEdit KF5::XmlGui KF5::IconThemes
    )
endmacro()

add_composer_ng_test(richtextcomposertest.cpp)
add_composer_ng_test(richtextcomposercontrolertest.cpp)
add_composer_ng_test(richtextcomposeractionstest.cpp)
add_composer_ng_test(richtextexternalcomposertest.cpp)
add_composer_ng_test(richtextcomposerimagestest.cpp)

=== src/texttospeech/autotests/CMakeLists.txt ===
macro(add_kpimtextedit_texttospeech_unittest _source)
    ecm_add_test(${_source}
        NAME_PREFIX "kpimtextedit-texttospeech-"
        LINK_LIBRARIES Qt5::Test KF5::PimTextEdit
    )
endmacro()

add_kpimtextedit_texttospeech_unittest( texttospeechwidgettest.cpp )
add_kpimtextedit_texttospeech_unittest( texttospeechconfigwidgettest.cpp )
add_kpimtextedit_texttospeech_unittest( texttospeechactionstest.cpp )

=== src/texttospeech/tests/CMakeLists.txt ===
set(texttospeechwidget_gui_SRCS texttospeechwidget_gui.cpp)
add_executable(texttospeechwidget_gui ${texttospeechwidget_gui_SRCS})
target_link_libraries(texttospeechwidget_gui
  KF5::PimTextEdit KF5::CoreAddons
)

set(texttospeechgui_SRCS texttospeechgui.cpp)
add_executable(texttospeechgui ${texttospeechgui_SRCS})
target_link_libraries(texttospeechgui
  KF5::PimTextEdit KF5::CoreAddons
)

set(texttospeechconfiggui_SRCS texttospeechconfiggui.cpp)
add_executable(texttospeechconfiggui ${texttospeechconfiggui_SRCS})
target_link_libraries(texttospeechconfiggui
  KF5::PimTextEdit KF5::CoreAddons
)

set(texttospeechconfigdialoggui_SRCS texttospeechconfigdialoggui.cpp)
add_executable(texttospeechconfigdialoggui ${texttospeechconfigdialoggui_SRCS})
target_link_libraries(texttospeechconfigdialoggui
  KF5::PimTextEdit KF5::CoreAddons
)

=== src/texteditor/commonwidget/autotests/CMakeLists.txt ===
ecm_add_tests(textgotolinewidgettest.cpp
    NAME_PREFIX "kpimtextedit-plaintext-"
    LINK_LIBRARIES KF5::PimTextEdit Qt5::Test
)

=== src/texteditor/plaintexteditor/autotests/CMakeLists.txt ===
ecm_add_tests(plaintexteditortest.cpp
    NAME_PREFIX "kpimtextedit-plaintexteditor-"
    LINK_LIBRARIES KF5::PimTextEdit Qt5::Test
)

=== src/texteditor/richtexteditor/autotests/CMakeLists.txt ===
ecm_add_tests(richtexteditortest.cpp
    NAME_PREFIX "kpimtextedit-richtesteditor-"
    LINK_LIBRARIES KF5::PimTextEdit Qt5::Test
)

## kpimtextedit 15.08.2

=== debian/changelog ===
kpimtextedit (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:40:05 +0100

kpimtextedit (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:16:39 +0100

kpimtextedit (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:34:33 +0100

kpimtextedit (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:51:31 +0100

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               kio-dev (>= 5.12.0~),
               libkf5codecs-dev (>= 5.12.0~),
               libkf5coreaddons-dev (>= 5.12.0~),
               libkf5emoticons-dev (>= 5.12.0~),
               libkf5iconthemes-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5sonnet-dev (>= 5.12.0~),
               libkf5textwidgets-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kpimtextedit.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kpimtextedit.git

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5pimtextedit5 (= ${binary:Version}),
         libkf5textwidgets-dev,
         ${misc:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5pimtextedit-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit5 (= ${binary:Version}), ${misc:Depends}
Description: libkf5pimtextedit - debug symbols
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5pimtextedit-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kpimtextedit 15.12.3

=== debian/changelog ===
kpimtextedit (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:43:12 -0700

kpimtextedit (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Add missing dependencies. 
  * Fix new depenency names. 
  * wrap-and-sort 
  * Refresh symbols. 
  * Remove the epoch from the symbols file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:59:52 +0100

kpimtextedit (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:27 +0100

kpimtextedit (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Add missing build depend grantlee. 

  [ Clive Johnston ]
  * New upstream release
  * Fixing install file

  [ Scarlett Clark ]
  * Refresh symbols. Removed many MISSING. We are opting for rebuild. 
  * Another refresh of symbols. 
  * Remove unecessary epoch from symbols file. 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:11:04 +0000

kpimtextedit (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:25 +0200

kpimtextedit (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 18:39:18 +0200

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kgendesignerplugin,
               kio-dev (>= 5.16.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5codecs-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5emoticons-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5sonnet-dev (>= 5.16.0~),
               libkf5textwidgets-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.16.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kpimtextedit.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kpimtextedit.git

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5pimtextedit5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.16.0~),
         ${misc:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5pimtextedit-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kpimtextedit 16.04.2

=== debian/changelog ===
kpimtextedit (16.04.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update testsuite script
  * testsuite: add libgl1-mesa-dri missing dependency
  * testsuite: add xdg env, and a wm
  * Add new patch: set_icontheme.diff

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 12:59:40 +0200

kpimtextedit (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-1).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:51:28 +0200

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kdesignerplugin (>= 5.19.0~),
               kio-dev (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5configwidgets-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5emoticons-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5textwidgets-dev (>= 5.19.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kpimtextedit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kpimtextedit.git

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5pimtextedit5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.19.0~),
         ${misc:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5pimtextedit-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kpimtextedit 16.04.3

=== debian/changelog ===
kpimtextedit (16.04.3-0ubuntu2) yakkety; urgency=medium

  * Bump soname due to binary incompatible changes, as requested by the release
    team:
    libkf5pimtextedit5 -> libkf5pimtextedit5abi1
  * Import patch set_icontheme.diff from debian.
  * Sync testsuite with debian.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 05 Oct 2016 20:18:44 +0100

kpimtextedit (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version in install file. 
  * Refresh symbols. 
  * Add missing file. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:33:16 +0200

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kgendesignerplugin (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5emoticons-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5sonnet-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5pimtextedit5abi1 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.21.0~),
         ${misc:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5PimTextEdit
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kpimtextedit 17.04.3

=== debian/changelog ===
kpimtextedit (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Refresh enable_debian_abi_manager.diff patch
  * Install kpimtextedit.categories file
  * Drop set_icontheme.diff patch which is now applied upstream
  * Bump soname due to binary incompatible changes:
    libkf5pimtextedit5abi1 -> libkf5pimtextedit5abi2
  * Update symbols

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff patch
  * Add -data package installing translations
  * Update symbols files
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:59 +0100

kpimtextedit (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * debian/tests/testssuite.xsession: add a small sleep delay after
    calling kdeinit5 to avoid possible dodgy test failures.
  * Add disable_failing_wordwrap_check.diff
  * New upstream release (16.12.3)

  [ Clive Johnston ]
  * Refreshing patches
  * Refreshing symbols
  * Adding ${shlibs:Depends} to libkf5pimtextedit-dev due to
    usr/lib/*/qt5/plugins/designer/kpimtexteditwidgets.so
  * Wrap-and-sort

  [ Rik Mills ]
  * New build depend on libkf5syntaxhighlighting-dev
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:45 +0100

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kgendesignerplugin (>= 5.31.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.31.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5PimTextEdit
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5pimtextedit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kpimtextedit 17.12.3

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

ecm_add_tests( textutilstest.cpp  editorutiltest.cpp NAME_PREFIX "kpimtextedit-" LINK_LIBRARIES Qt5::Test Qt5::Widgets KF5::Codecs KF5PimTextEdit KF5::IconThemes KF5::TextWidgets KF5::XmlGui)
ecm_add_test(slidecontainertest.cpp
    TEST_NAME slidecontainertest
    NAME_PREFIX kpimtextedit-widget
    LINK_LIBRARIES Qt5::Test Qt5::Gui KF5::PimTextEdit Qt5::Widgets
    )

=== debian/changelog ===
kpimtextedit (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:00 +0000

kpimtextedit (17.12.2-0ubuntu2) bionic; urgency=medium

  * Add missing libkf5syntaxhighlighting-dev dependency to development
    package. Fixes acc test header compilation

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 00:04:11 +0000

kpimtextedit (17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * Build with Qt5TextToSpeech support
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:32 +0000

kpimtextedit (17.08.3-0ubuntu1) bionic; urgency=medium

  * Refresh patches
  * Update symbols from build logs
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:59 +0000

kpimtextedit (17.04.3-0ubuntu2) bionic; urgency=medium

  * Skip testsuite on architectures Kubuntu does not officially support,
    and do not run reliably or consistently

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 30 Nov 2017 19:01:54 +0000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
+               libqt5texttospeech5-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~)
@@ -30,8 +31,9 @@
 Package: libkf5pimtextedit-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
+         libkf5syntaxhighlighting-dev (>= 5.31.0~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11, xvfb, xauth, breeze-icon-theme, libgl1-mesa-dri, openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kpimtextedit-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kpimtextedit-([\d.]+).tar.xz

## kpimtextedit 18.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.8.3")

project(KPimTextEdit VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.44.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()


include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KPIMTEXTEDIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfigVersion.cmake"
    SOVERSION 5
)

set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)
find_package(Grantlee5 "5.1" CONFIG REQUIRED)
set_package_properties(Grantlee5 PROPERTIES
    DESCRIPTION "A plug-in based String Template system for Qt"
    URL "http://github.com/steveire/grantlee"
    PURPOSE "Required for the RichText composer"
    TYPE REQUIRED
    )

find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)

########### Find packages ###########
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Emoticons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)

add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
option(KPIMTEXTEDIT_NO_TEXTTOSPEECH "Do not use TextToSpeech in the kdepim applications" FALSE)

if (NOT KPIMTEXTEDIT_NO_TEXTTOSPEECH)
    find_package(Qt5 OPTIONAL_COMPONENTS TextToSpeech)
endif()

if (KPIMTEXTEDIT_NO_TEXTTOSPEECH)
    set(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH FALSE)
else()
    if (${Qt5TextToSpeech_FOUND})
        set(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH TRUE)
    endif()
endif()

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
   add_definitions(-DBUILD_TESTING)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimTextEdit")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimTextEditConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimTextEditTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5PimTextEditTargets.cmake
    NAMESPACE KF5::
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
    )

install( FILES kpimtextedit.categories DESTINATION ${KDE_INSTALL_CONFDIR} )


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kpimtextedit (18.04.3-0ubuntu3) cosmic; urgency=medium

  * Revert upload removing tests. Just skip them for now.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Aug 2018 12:20:01 +0100

kpimtextedit (18.04.3-0ubuntu2) cosmic; urgency=medium

  * Sync change from debian unstable:
    - Remove the unused, and now no more useful autopkgtest stuff.
      (debian now run them at build time, but this needs more testing
      on launchpad before we fully merge)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Aug 2018 09:29:08 +0100

kpimtextedit (18.04.3-0ubuntu1) cosmic; urgency=medium

  [ Simon Quigley ]
  * Update symbols from build logs.
  * libkf5pimtextedit5abi2 -> libkf5pimtextedit5abi3

  [ Rik Mills ]
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libqt5texttospeech5-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
@@ -32,11 +32,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
+Depends: libkf5pimtextedit5abi3 (= ${binary:Version}),
          libkf5syntaxhighlighting-dev (>= 5.31.0~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: libkf5pimtextedit - development files
  KPIMTextedit provides a textedit with PIM-specific features. It also provides
  so-called rich text builders which can convert the formatted text in the text
@@ -44,8 +44,8 @@
  .
  This package contains the development files.
 
-Package: libkf5pimtextedit5abi2
-X-Debian-ABI: 2
+Package: libkf5pimtextedit5abi3
+X-Debian-ABI: 3
 X-CMake-Target: KF5PimTextEdit
 Architecture: any
 Multi-Arch: same
